Belune
Domains & TLS

Upsert Route Feature

PUT
/api/projects/{projectId}/applications/{applicationId}/domains/{domainId}/features
AuthorizationBearer <token>

Personal access token whose scope satisfies write.

In: header

Path Parameters

projectId*string
Formatuuid
applicationId*string
Formatuuid
domainId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/api/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/applications/497f6eca-6276-4993-bfeb-53cbbbba6f08/domains/497f6eca-6276-4993-bfeb-53cbbbba6f08/features" \  -H "Content-Type: application/json" \  -d '{}'
{  "config": "string",  "created_at": "2019-08-24T14:15:22Z",  "domain_id": "b2f7354f-b74d-4332-ab10-1a5e3c56466c",  "enabled": true,  "feature_type": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "updated_at": "2019-08-24T14:15:22Z"}